#ifndef HIPSTER_H
#define HIPSTER_H

#include "czapeczka.h"
#include "skarpety.h"
#include "ejfon.h"
#include <string>
#include <iostream>

using namespace std;

class Hipster
{
	string imie;
	Czapeczka welnainaCzapka;
	Ejfon boskiTelefon;
	Skarpety *modneSkarpety;
public:
	Hipster();
	Hipster(unsigned int i);
	Hipster(const Hipster &h);
	void zmienImie(string nowe){ imie = nowe; }
	string sprawdzImie(){ return imie; }
	void zalozSkarpety();
	void zmienSkarpety(string kolor);
	void zmienSkarpety(int rozmiar);
	void zmienSkarpety(bool grochy);
	void przedstawSie();
	const Hipster& operator=(const Hipster & h);
	Hipster operator+(Hipster h);
	Hipster& operator++();
	Hipster& operator--();
};

#endif